TypeDefinitionStringImpl.BaseStringValue (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta.impl

## Class TypeDefinitionStringImpl.BaseStringValue

- java.lang.Object
- - tv.amwa.maj.meta.impl.TypeDefinitionImpl.PropertyValueImpl
  - - tv.amwa.maj.meta.impl.TypeDefinitionStringImpl.BaseStringValue

- All Implemented Interfaces:
    PropertyValue
  Direct Known Subclasses:
    TypeDefinitionStringImpl.ByteArrayStringValue, TypeDefinitionStringImpl.CharacterStringValue
  Enclosing class:
    TypeDefinitionStringImpl

      public abstract static class TypeDefinitionStringImpl.BaseStringValue
      extends TypeDefinitionImpl.PropertyValueImpl
      implements PropertyValue

  Base representation for all property values representing string values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseStringValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Tests to see if the this property value and the given object are equal.
    `TypeDefinitionStringImpl` | `getType()` Returns the type definition for this property value.
    `boolean` | `isDefinedType()`

    - ### Methods inherited from class tv.amwa.maj.meta.impl.TypeDefinitionImpl.PropertyValueImpl

      `hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.PropertyValue

      `getValue, hashCode, toString`

- - ### Constructor Detail

    - #### BaseStringValue

          public BaseStringValue()

  - ### Method Detail

    - #### getType

          public TypeDefinitionStringImpl getType()

      Description copied from interface: `PropertyValue`

      Returns the type definition for this property value.

      Methods of the returned type definition can be used to manipulate a property value. For example, for a value of AAF `UInt32` type, the following methods are available on `TypeDefinitionInteger`:

      - `Number getInteger(PropertyValue)`
      - `PropertyValue createValueFromNumber(Number)`
      - `void setInteger(PropertyValue, Number)`
      Specified by:
        `getType` in interface `PropertyValue`
      Returns:
        Type of this property value.
      See Also:
        `PropertyDefinition.getTypeDefinition()`, `TypeDefinitions.TypeDefinitionWeakReference`

    - #### isDefinedType

          public boolean isDefinedType()

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `PropertyValue`

      Tests to see if the this property value and the given object are equal. Two property values are equal if-and-only-if:

      - the given object is not `null`;
      - the given object is another property value;
      - the given property value has the same type as this one;
      - the values of the given property and this one are equal according to `Object.equals(Object)` or both property values represent a `null` value.
      Specified by:
        `equals` in interface `PropertyValue`
      Overrides:
        `equals` in class `TypeDefinitionImpl.PropertyValueImpl`
      Parameters:
        `o` - Property value to test equality with this one.
      Returns:
        Is this property value equal to the given property value.
      See Also:
        `Object.equals(Object)`, `MediaEngine.deepEquals(MetadataObject, Object)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.